package com.liquidnet.common.third.zxlnft.dto.nft;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 20.人身核对结果查询接口 GET请求方式
 * @class: FaceQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:34
 */
@Data
public class Nft020FaceQueryReq implements Serializable {
    /**
     * 用户唯一标识
     */
    private String userIdentification;
    /**
     * 人脸请求的唯一ID
     */
    private String faceId;
    private static final Nft020FaceQueryReq obj = new Nft020FaceQueryReq();
    private static final long serialVersionUID = 7381717431914188164L;

    public static Nft020FaceQueryReq getNew() {
        try {
            return (Nft020FaceQueryReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft020FaceQueryReq();
        }
    }
}
